MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024683Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-04 15:092014-11-11 12:51
Reporterdln 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024683: Convertation of the generic classes to the non-generic. Part 1
Description1) Generic classes "BRepApprox_ApproxLineGen" and "BRepApprox_SurfaceToolGen" from "BRepApprox" package converted to the non-generic classes "BRepApprox_ApproxLine" and "BRepApprox_SurfaceTool".


2) Generic classes "BRepBlend_HCurve3dToolGen" and "BRepBlend_HCurve2dToolGen" from "BRepBlend" package converted to the non-generic classes "BRepBlend_HCurve3dTool" and "BRepBlend_HCurve2dTool".

3) Generic classes "Blend_Extremity", "Blend_Line" and "Blend_PointOnRst" from "Blend" package converted to the non-generic classes and moved to the "BRepBlend" package. Therefore names of this classes were changed to "BRepBlend_Extremity", "BRepBlend_Line" and "BRepBlend_PointOnRst".

And some other minor changes were done.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028126)
dln (developer)
2014-03-04 15:20

Changes are ready for review in CR24683 branch.
(0028272)
abv (manager)
2014-03-14 10:29

The only remark I have is new dependency on Adaptor3d added in Blend.cdl which seems to be not necessary. Anyway reviewed, ready for testing.
(0028274)
abv (manager)
2014-03-14 11:02

Igor, please have a look at the patch
(0028277)
ifv (developer)
2014-03-14 12:20

Seems to be Ok,
for IntSurf_PntOn2S BRepApprox_ApproxLine::Point
it is possible to return const &
(0028289)
dln (developer)
2014-03-14 16:54

Corrected. (CR24683 branch)
(0028343)
mkv (tester)
2014-03-19 11:11

Dear BugMaster,

Branch CR24683 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 56f75df775966f17d0df0f2bcf1ffbb6afbc4cb1

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 386073232 / 386252568
Total CPU difference: 49162.22999999993 / 48827.240000000005

Testing on Windows:
Total MEMORY difference: 431427280 / 430913404
Total CPU difference: 34876.140625 / 35761.53125

There are not differences in images found by testdiff.
(0028344)
mkv (tester)
2014-03-19 11:11

Dear BugMaster,

Branch CR24683 (and products from GIT master) was compiled on Debug mode and tested.

Regressions/Differences:

http://occt-tests/CR24683-master-occt-deb/Debian60-64/bugs/modalg_1/buc60669.html [^]
http://occt-tests/CR24683-master-occt-deb/Windows-32-VC9/bugs/modalg_1/buc60669.html [^]
bugs modalg_1(006) buc60669

http://occt-tests/CR24683-master-occt-deb/Debian60-64/bugs/modalg_1/bug16517_1.html [^]
http://occt-tests/CR24683-master-occt-deb/Windows-32-VC9/bugs/modalg_1/bug16517_1.html [^]
bugs modalg_1(006) bug16517_1

http://occt-tests/CR24683-master-occt-deb/Debian60-64/bugs/modalg_1/bug16517_2.html [^]
http://occt-tests/CR24683-master-occt-deb/Windows-32-VC9/bugs/modalg_1/bug16517_2.html [^]
bugs modalg_1(006) bug16517_2

http://occt-tests/CR24683-master-occt-deb/Debian60-64/bugs/modalg_4/bug825.html [^]
http://occt-tests/CR24683-master-occt-deb/Windows-32-VC9/bugs/modalg_4/bug825.html [^]
bugs modalg_4(009) bug825

http://occt-tests/CR24683-master-occt-deb/Debian60-64/bugs/moddata_2/bug23092.html [^]
http://occt-tests/CR24683-master-occt-deb/Windows-32-VC9/bugs/moddata_2/bug23092.html [^]
bugs moddata_2(012) bug23092
(0028357)
dln (developer)
2014-03-19 15:53
edited on: 2014-03-19 15:54

CR24683 branch is corrected.

(0028386)
abv (manager)
2014-03-20 11:55

No remarks, please test
(0028429)
mkv (tester)
2014-03-21 17:43

Dear BugMaster,

Branch CR24683 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: d9a49e9724b69868a3c6342fd23559d61c6d282b

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385952824 / 386276008
Total CPU difference: 55448.2 / 48827.5

Testing on Windows:
Total MEMORY difference: 430695908 / 430913404
Total CPU difference: 33872.71875 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 04f7bd75
Timestamp: 2014-03-27 12:24:53
Author: dln
Committer: apn
Details ] Diff ]
0024683: Convertation of the generic classes to the non-generic. Part 1

Generic classes from "BRepApprox" package:
    "BRepApprox_ApproxLineGen" and "BRepApprox_SurfaceToolGen" converted to the non-generic classes "BRepApprox_ApproxLine" and "BRepApprox_SurfaceTool".
Generic classes from "BRepBlend" package:
    "BRepBlend_HCurve3dToolGen" and "BRepBlend_HCurve2dToolGen" converted to the non-generic classes "BRepBlend_HCurve3dTool" and "BRepBlend_HCurve2dTool".
Generic classes from "Blend" package:
    "Blend_Extremity", "Blend_Line" and "Blend_PointOnRst" moved to the corresponding non-generic classes "BRepBlend_Extremity", "BRepBlend_Line" and "BRepBlend_PointOnRst" to "BRepBlend" package.

And some other minor changes were done.
Field "myPntOn2S" was deleted from "BRepApprox_ApproxLine" class. Therefore BRepApprox_ApproxLine::Point(...) method was a little changed.
mod - src/Blend/Blend.cdl Diff ] File ]
mod - src/Blend/Blend_CSWalking.cdl Diff ] File ]
mod - src/Blend/Blend_Walking.cdl Diff ] File ]
mod - src/BRepApprox/BRepApprox.cdl Diff ] File ]
mod - src/BRepBlend/BRepBlend.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-04 15:09 dln New Issue
2014-03-04 15:09 dln Assigned To => abv
2014-03-04 15:20 dln Note Added: 0028126
2014-03-04 15:20 dln Status new => resolved
2014-03-13 14:04 dln Description Updated View Revisions
2014-03-13 16:00 dln Description Updated View Revisions
2014-03-13 16:09 dln Description Updated View Revisions
2014-03-14 10:29 abv Note Added: 0028272
2014-03-14 10:29 abv Assigned To abv => dln
2014-03-14 10:29 abv Status resolved => reviewed
2014-03-14 11:02 abv Note Added: 0028274
2014-03-14 12:20 ifv Note Added: 0028277
2014-03-14 15:01 mkv Assigned To dln => mkv
2014-03-14 16:54 dln Note Added: 0028289
2014-03-19 11:11 mkv Note Added: 0028343
2014-03-19 11:11 mkv Note Added: 0028344
2014-03-19 11:12 mkv Test case number => Not needed
2014-03-19 11:12 mkv Assigned To mkv => dln
2014-03-19 11:12 mkv Status reviewed => assigned
2014-03-19 15:53 dln Note Added: 0028357
2014-03-19 15:54 dln Assigned To dln => abv
2014-03-19 15:54 dln Status assigned => resolved
2014-03-19 15:54 dln Note Edited: 0028357 View Revisions
2014-03-19 15:54 dln Note Edited: 0028357 View Revisions
2014-03-20 11:55 abv Note Added: 0028386
2014-03-20 11:55 abv Assigned To abv => bugmaster
2014-03-20 11:55 abv Status resolved => reviewed
2014-03-20 15:00 mkv Assigned To bugmaster => mkv
2014-03-21 17:43 mkv Note Added: 0028429
2014-03-21 17:43 mkv Assigned To mkv => bugmaster
2014-03-21 17:43 mkv Status reviewed => tested
2014-03-28 16:38 apn Changeset attached => occt master 04f7bd75
2014-03-28 16:38 apn Assigned To bugmaster => apn
2014-03-28 16:38 apn Status tested => verified
2014-03-28 16:38 apn Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:47 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker